List Access Requests
List Access Requests. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
List Access Requests. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Query Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/organizations.listAccessRequests?input=%7B%22organizationId%22%3A%22string%22%2C%22organizationSlug%22%3A%22string%22%2C%22memberId%22%3A%22string%22%2C%22serverId%22%3A%22string%22%2C%22includeResolved%22%3Atrue%7D"{ "result": { "data": [ { "id": "string", "organizationId": "string", "memberId": "string", "serverId": "string", "requestedByMemberId": "string", "requestGrant": { "$typeName": "enderdash.protocol.AuthorizationGrant", "$unknown": [ { "no": 0, "wireType": 0, "data": "string" } ], "grantId": { "$typeName": "enderdash.protocol.Uuid", "$unknown": [ { "no": 0, "wireType": 0, "data": "string" } ], "mostSignificantBits": 0, "leastSignificantBits": 0 }, "effect": 0, "actions": [ 0 ], "constraints": { "$typeName": "enderdash.protocol.GrantConstraints", "$unknown": [ { "no": 0, "wireType": 0, "data": "string" } ], "expiresAt": { "$typeName": "google.protobuf.Timestamp", "$unknown": [ { "no": 0, "wireType": 0, "data": "string" } ], "seconds": 0, "nanos": 0 }, "remainingUses": 0, "maxBytes": 0, "maxRows": 0 }, "scope": { "value": { "$typeName": "enderdash.protocol.AnyScope", "$unknown": [ { "no": 0, "wireType": 0, "data": "string" } ] }, "case": "any" } }, "reason": "string", "status": "string", "approvedByMemberId": "string", "createdGrantId": "string", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z" } ] }}{ "error": { "message": "string", "code": -32600, "data": { "code": "BAD_REQUEST", "httpStatus": 0, "path": "string", "stack": "string" } }}List Organization Team GET
List Organization Team. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
List Servers For Access Control GET
List Servers For Access Control. This GET operation is exposed from the organizations router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.